Withdrawals
Get Lightning withdrawals
GET
/account/withdrawals/lightningPrivateGet your Lightning withdrawals, optionally filtered by status. Paginated, newest first.
Permissions: account:withdrawals:read
from?stringStart date, unix epoch 0 by default
Format
date-timeDefault
"1970-01-01T00:00:00.000Z"to?stringEnd date, default to current time
Format
date-timeDefault
"2026-11-09T17:08:56.662Z"limit?integerNumber of entries to return, default to 1000
Range
1 <= value <= 1000Default
1000cursor?stringCursor for pagination
Format
date-timestatus?stringFilter by status
Value in
"processing""processed""failed"OK
application/json- response
data*array<>nextCursor*|Cursor to use for fetching the next page of results. Pass this value as the cursor parameter in the next request. Returns null when there are no more results.
import { createHttpClient } from '@ln-markets/sdk/rest/v3'
const client = createHttpClient({
key: 'your-key',
secret: 'your-secret',
passphrase: 'your-passphrase',
})
const result = await client.account.getLightningWithdrawals({
from: '1970-01-01T00:00:00.000Z',
to: '2026-11-09T17:08:56.136Z',
limit: 500,
status: 'processing'
}){
"data": [
{
"id": "f9cf683b-e028-4886-adbd-8632138adeea",
"amount": 69420,
"paymentHash": "Cca7507897abc89628f450e8b1e0c6fca4ec3f7b34cccf55f3f531c659ff4d79",
"status": "processing",
"fee": 12,
"createdAt": "2024-02-08T08:37:47.490Z"
}
],
"nextCursor": "2024-01-15T10:30:00.000Z"
}